<?php
/**
 * Consultant Appointment Theme Customizer
 *
 * @package Consultant Appointment
 */

function Consultant_Appointment_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Consultant_Appointment_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Consultant_Appointment_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('consultant_appointment_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Consultant Theme Options', 'consultant-appointment'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'consultant_appointment_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_site_title_text',
		array(
			'label'       => __('Enable Title', 'consultant-appointment'),
			'description' => __('Enable or Disable Title from the site', 'consultant-appointment'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'consultant-appointment'),
			'description' => __('Enable or Disable Tagline from the site', 'consultant-appointment'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'consultant_appointment_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'consultant-appointment'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'consultant-appointment'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'consultant_appointment_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'consultant-appointment'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'consultant-appointment'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'consultant-appointment'),
			'description' => __('Checked to show Related Product', 'consultant-appointment'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'consultant-appointment'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'consultant-appointment'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('consultant_appointment_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','consultant-appointment'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultant-appointment'),
            'layout-2' => esc_html__('Sidebar On Left','consultant-appointment'),
			'layout-3' => esc_html__('Full Width Layout','consultant-appointment')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('consultant_appointment_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','consultant-appointment'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultant-appointment'),
            'layout-2' => esc_html__('Sidebar On Left','consultant-appointment'),
			'layout-3' => esc_html__('Full Width Layout','consultant-appointment')
        ),
	) );

	$wp_customize->add_setting('consultant_appointment_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
    ));
    $wp_customize->add_control('consultant_appointment_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','consultant-appointment' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','consultant-appointment'),
            'Left' => __('Left','consultant-appointment'),
            'Center' => __('Center','consultant-appointment')
        ),
    ) );


	/*Additional Options*/
	$wp_customize->add_section('consultant_appointment_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'consultant-appointment'),
			'description' => __('Checked to enable sticky header', 'consultant-appointment'),
			'section'     => 'consultant_appointment_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'consultant-appointment'),
			'description' => __('Checked to show preloader', 'consultant-appointment'),
			'section'     => 'consultant_appointment_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'consultant-appointment'),
			'description' => __('Checked to show Breadcrumbs', 'consultant-appointment'),
			'section'     => 'consultant_appointment_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'consultant-appointment'),
			'description' => __('Checked to show Pagination', 'consultant-appointment'),
			'section'     => 'consultant_appointment_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Select Type Option*/
	$wp_customize->add_setting('consultant_appointment_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','consultant-appointment'),
        'section' => 'consultant_appointment_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','consultant-appointment'),
            'type-2' => esc_html__('Type 2','consultant-appointment'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('consultant_appointment_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','consultant-appointment'),
        'section' => 'consultant_appointment_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultant-appointment'),
            'layout-2' => esc_html__('Sidebar On Left','consultant-appointment'),
			'layout-3' => esc_html__('Full Width Layout','consultant-appointment')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('consultant_appointment_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','consultant-appointment'),
        'section' => 'consultant_appointment_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultant-appointment'),
            'layout-2' => esc_html__('Sidebar On Left','consultant-appointment'),
			'layout-3' => esc_html__('Full Width Layout','consultant-appointment')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('consultant_appointment_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','consultant-appointment'),
        'section' => 'consultant_appointment_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','consultant-appointment'),
            'layout-2' => esc_html__('Sidebar On Left','consultant-appointment'),
			'layout-3' => esc_html__('Full Width Layout','consultant-appointment')
        ),
	) );

	$wp_customize->add_setting( 
		'consultant_appointment_additional_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_additional_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more additional options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(CONSULTANT_APPOINTMENT_BUY_NOW) ." '>Check Consultant Appointment PRO version.</a>
					</div>
				</div>
			",
			'section' => 'consultant_appointment_additional_section'
		)
	);
	
	/*Archive Post Options*/
	$wp_customize->add_section('consultant_appointment_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Title', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Tags', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Image', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Content', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'consultant-appointment'),
		'description' => __('Checked To Show Blog Post Read More Button', 'consultant-appointment'),
		'section'     => 'consultant_appointment_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('consultant_appointment_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
	));
	$wp_customize->add_control('consultant_appointment_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','consultant-appointment'),
        'section' => 'consultant_appointment_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','consultant-appointment'),
            'Center' => esc_html__('Center','consultant-appointment'),
            'Right' => esc_html__('Right','consultant-appointment')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'consultant_appointment_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'consultant-appointment'),
			'section'     => 'consultant_appointment_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'consultant_appointment_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'consultant-appointment'),
			'section'     => 'consultant_appointment_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('consultant_appointment_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));
	
	$wp_customize->add_setting('consultant_appointment_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'consultant-appointment'),
		'description' => __('Checked To Show Single Blog Post Title', 'consultant-appointment'),
		'section'     => 'consultant_appointment_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'consultant-appointment'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'consultant-appointment'),
		'section'     => 'consultant_appointment_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'consultant-appointment'),
		'description' => __('Checked To Show Single Blog Post Tags', 'consultant-appointment'),
		'section'     => 'consultant_appointment_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'consultant-appointment'),
		'description' => __('Checked To Show Single Post Image', 'consultant-appointment'),
		'section'     => 'consultant_appointment_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('consultant_appointment_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
	));
	$wp_customize->add_control('consultant_appointment_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'consultant-appointment'),
		'description' => __('Checked To Show Single Blog Post Content', 'consultant-appointment'),
		'section'     => 'consultant_appointment_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting(
		'consultant_appointment_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'consultant-appointment'),
			'description' => __('Checked to show Related Post', 'consultant-appointment'),
			'section'     => 'consultant_appointment_single_post_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'consultant-appointment'),
			'section'     => 'consultant_appointment_single_post_section',
			'type'        => 'text',
		)
	);	

	$wp_customize->add_setting(
		'consultant_appointment_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_related_post_count',
		array(
			'label'       => __('Related Post Count', 'consultant-appointment'),
			'section'     => 'consultant_appointment_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	        ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'consultant-appointment'),
			'description' => __('Checked to show Comment Section', 'consultant-appointment'),
			'section'     => 'consultant_appointment_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('consultant_appointment_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	$wp_customize->add_setting( 'consultant_appointment_primary_color',
		array(
		'default'           => '#01c0b5',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'consultant_appointment_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'consultant-appointment' ),
			'section'    => 'consultant_appointment_global_color_section',
			'settings'   => 'consultant_appointment_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'consultant_appointment_secondary_color',
		array(
		'default'           => '#121111',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'consultant_appointment_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'consultant-appointment' ),
			'section'    => 'consultant_appointment_global_color_section',
			'settings'   => 'consultant_appointment_secondary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'consultant_appointment_typography_section', array(
		'panel'       => 'consultant_appointment_panel',
        'title'    => __( 'Typography Options', 'consultant-appointment' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'consultant_appointment_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'consultant_appointment_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'consultant_appointment_font_family', array(
		'label'    => __( 'Global Font Family', 'consultant-appointment' ),
		'section'  => 'consultant_appointment_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'consultant-appointment' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );
	
	/*Main Header Options*/
	$wp_customize->add_section('consultant_appointment_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('consultant_appointment_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'consultant_appointment_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'capitalize',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'consultant_appointment_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'consultant-appointment' ),
        'section'  => 'consultant_appointment_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'consultant-appointment' ),
            'capitalize' => __( 'Capitalize', 'consultant-appointment' ),
            'uppercase'  => __( 'Uppercase', 'consultant-appointment' ),
            'lowercase'  => __( 'Lowercase', 'consultant-appointment' ),
        ),
    ) );

	$wp_customize->add_setting(
		'consultant_appointment_main_topbar',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_main_topbar',
		array(
			'label'       => __('Enable Topbar', 'consultant-appointment'),
			'description' => __('Checked to show the Topbar', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_header_search',
		array(
			'label'       => __('Enable Disable Search', 'consultant-appointment'),
			'description' => __('Enable or Disable header Search', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'consultant_appointment_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+900-300-600',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'text',
		)
	);

	/*Facebook Link*/
	$wp_customize->add_setting(
		'consultant_appointment_facebook_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'consultant_appointment_twitter_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_pinterest_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_pinterest_link_option',
		array(
			'label'       => __('Edit Pinterest Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'consultant_appointment_instagram_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_linked_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_linked_link_option',
		array(
			'label'       => __('Edit Linkedin Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'consultant_appointment_youtube_link_option',
		array(
			'default'           => '#',
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'consultant-appointment'),
			'section'     => 'consultant_appointment_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting( 
		'consultant_appointment_header_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_header_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more header options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(CONSULTANT_APPOINTMENT_BUY_NOW) ." '>Check Consultant Appointment PRO version.</a>
					</div>
				</div>
			",
			'section' => 'consultant_appointment_header_section'
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('consultant_appointment_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'consultant-appointment'),
			'description' => __('Checked to show the main slider', 'consultant-appointment'),
			'section'     => 'consultant_appointment_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($i=1; $i <= 3; $i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'consultant_appointment_slider_image'.$i, 
				array(
			        'label' => __('Edit Slider Image ', 'consultant-appointment') .$i,
			        'description' => __('Edit the slider image.', 'consultant-appointment'),
			        'section' => 'consultant_appointment_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_top_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultant_appointment_slider_top_text'.$i,
			array(
				'label'       => __('Edit Slider Top Text ', 'consultant-appointment') .$i,
				'description' => __('Edit the slider Top text.', 'consultant-appointment'),
				'section'     => 'consultant_appointment_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_heading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultant_appointment_slider_heading'.$i,
			array(
				'label'       => __('Edit Heading Text ', 'consultant-appointment') .$i,
				'description' => __('Edit the slider heading text.', 'consultant-appointment'),
				'section'     => 'consultant_appointment_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'consultant_appointment_slider_text'.$i,
			array(
				'label'       => __('Edit Content Text ', 'consultant-appointment') .$i,
				'description' => __('Edit the slider content text.', 'consultant-appointment'),
				'section'     => 'consultant_appointment_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_button1_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'consultant_appointment_slider_button1_text'.$i,
			array(
				'label'       => __('Edit Button #1 Text ', 'consultant-appointment') .$i,
				'description' => __('Edit the slider button text.', 'consultant-appointment'),
				'section'     => 'consultant_appointment_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'consultant_appointment_slider_button1_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'consultant_appointment_slider_button1_link'.$i,
			array(
				'label'       => __('Edit Button #1 URL ', 'consultant-appointment') .$i,
				'description' => __('Edit the slider button url.', 'consultant-appointment'),
				'section'     => 'consultant_appointment_slider_section',
				'type'        => 'url',
			)
		);
	}

	$wp_customize->add_setting( 
		'consultant_appointment_slider_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_slider_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more slider options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(CONSULTANT_APPOINTMENT_BUY_NOW) ." '>Check Consultant Appointment PRO version.</a>
					</div>
				</div>
			",
			'section' => 'consultant_appointment_slider_section'
		)
	);

	// Existing Section and Basic Settings
    $wp_customize->add_section('consultant_appointment_events_section', array(
        'priority'       => 5,
        'capability'     => 'edit_theme_options',
        'title'          => __('Our Pricing Plans Options', 'consultant-appointment'),
        'panel'          => 'consultant_appointment_panel',
    ));

    // Enable Option
    $wp_customize->add_setting('consultant_appointment_enable_event', array(
        'capability'        => 'edit_theme_options',
        'default'           => 0,
        'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
    ));
    $wp_customize->add_control('consultant_appointment_enable_event', array(
        'label'       => __('Enable Our Pricing Plans Section', 'consultant-appointment'),
        'section'     => 'consultant_appointment_events_section',
        'type'        => 'checkbox',
    ));

    $wp_customize->add_setting('consultant_appointment_servicesec_heading', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('consultant_appointment_servicesec_heading', array(
        'label'       => __('Edit Section Heading', 'consultant-appointment'),
        'section'     => 'consultant_appointment_events_section',
        'type'        => 'text',
    ));

    $wp_customize->add_setting('consultant_appointment_servicesec_content', array(
        'default'           => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('consultant_appointment_servicesec_content', array(
        'label'       => __('Edit Section Text', 'consultant-appointment'),
        'section'     => 'consultant_appointment_events_section',
        'type'        => 'text',
    ));

    $wp_customize->add_setting(
		'consultant_appointment_header_button_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'VIEW ALL DEPARTMENT',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_header_button_text',
		array(
			'label'       => __('Edit Button Text ', 'consultant-appointment'),
			'section'     => 'consultant_appointment_events_section',
			'type'        => 'text',
		)
	);

	/*Main Header Button Link*/
	$wp_customize->add_setting(
		'consultant_appointment_header_button_link',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_header_button_link',
		array(
			'label'       => __('Edit Button Link ', 'consultant-appointment'),
			'section'     => 'consultant_appointment_events_section',
			'type'        => 'url',
		)
	);

    // Category Selection
    $categories = get_categories();
    $cat_choices = array('select' => 'Select Category');
    foreach ($categories as $category) {
        $cat_choices[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('consultant_appointment_blog_cat', array(
        'default'           => 'uncategorized',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices',
    ));
    $wp_customize->add_control('consultant_appointment_blog_cat', array(
        'label'       => __('Select Category to display Pricing Plans', 'consultant-appointment'),
        'section'     => 'consultant_appointment_events_section',
        'type'        => 'select',
        'choices'     => $cat_choices,
    ));

    // Number of Posts to Show
    $wp_customize->add_setting('consultant_appointment_posts_to_show', array(
        'default'           => 3,
        'sanitize_callback' => 'absint',
    ));
    $wp_customize->add_control('consultant_appointment_posts_to_show', array(
        'label'       => __('Number of Posts to Show', 'consultant-appointment'),
        'section'     => 'consultant_appointment_events_section',
        'type'        => 'number',
        'input_attrs' => array('min' => 1, 'step' => 1),
    ));

    // Dynamic settings for Icons, Prices, and Features
    $num_posts = get_theme_mod('consultant_appointment_posts_to_show', 3);

    for ($consultant_appointment_i = 1; $consultant_appointment_i <= $num_posts; $consultant_appointment_i++) {
        // Icon setting
        $wp_customize->add_setting('consultant_appointment_services_icon' . $consultant_appointment_i, array(
            'default' => '',
            'sanitize_callback' => 'sanitize_text_field'
        ));
        $wp_customize->add_control('consultant_appointment_services_icon' . $consultant_appointment_i, array(
            'label'       => __('Add Icon for Post ', 'consultant-appointment') . $consultant_appointment_i,
            'section'     => 'consultant_appointment_events_section',
            'type'        => 'text',
        ));

         // Price setting
        $wp_customize->add_setting('consultant_appointment_courses_prices' . $consultant_appointment_i, array(
            'default'           => '',
            'sanitize_callback' => 'sanitize_text_field',
        ));
        $wp_customize->add_control('consultant_appointment_courses_prices' . $consultant_appointment_i, array(
            'label'       => __('Add Price for Post ', 'consultant-appointment') . $consultant_appointment_i,
            'section'     => 'consultant_appointment_events_section',
            'type'        => 'text',
        ));

        // Features settings
        for ($consultant_appointment_j = 1; $consultant_appointment_j <= 3; $consultant_appointment_j++) {
	        $wp_customize->add_setting('consultant_appointment_post' . $consultant_appointment_i . '_feature_heading' . $consultant_appointment_j, array(
	            'default'           => '',
	            'sanitize_callback' => 'sanitize_text_field',
	        ));
	        $wp_customize->add_control('consultant_appointment_post' . $consultant_appointment_i . '_feature_heading' . $consultant_appointment_j, array(
	            'label'       => __('Service ', 'consultant-appointment') . $consultant_appointment_j . __(' Text for Post ', 'consultant-appointment') . $consultant_appointment_i,
	            'section'     => 'consultant_appointment_events_section',
	            'type'        => 'text',
	        ));
	    }
    }

	$wp_customize->add_setting( 
		'consultant_appointment_events_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_events_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more pricing plans options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(CONSULTANT_APPOINTMENT_BUY_NOW) ." '>Check Consultant Appointment PRO version.</a>
					</div>
				</div>
			",
			'section' => 'consultant_appointment_events_section'
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('consultant_appointment_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'consultant-appointment'),
		'panel'       => 'consultant_appointment_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'consultant_appointment_enable_footer',
		array(
			'label'       => __('Enable Footer', 'consultant-appointment'),
			'description' => __('Checked to show Footer', 'consultant-appointment'),
			'section'     => 'consultant_appointment_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('consultant_appointment_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));

    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'consultant_appointment_footer_bg_image',array(
        'label' => __('Footer Background Image','consultant-appointment'),
        'section' => 'consultant_appointment_footer_section',
    )));

	/** Footer bg Image Attachment */
    $wp_customize->add_setting('consultant_appointment_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
    ));

    $wp_customize->add_control('consultant_appointment_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'consultant-appointment'),
        'section'  => 'consultant_appointment_footer_section',
        'settings' => 'consultant_appointment_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','consultant-appointment'),
            'scroll' => __('scroll','consultant-appointment'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'consultant_appointment_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'consultant-appointment'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'consultant-appointment'),
			'section'     => 'consultant_appointment_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'consultant_appointment_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'consultant_appointment_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'consultant-appointment'),
			'description' => __('Checked to enable Go To Top option.', 'consultant-appointment'),
			'section'     => 'consultant_appointment_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('consultant_appointment_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'consultant_appointment_sanitize_choices'
    ));
    $wp_customize->add_control('consultant_appointment_go_to_top_position',array(
        'type' => 'select',
        'section' => 'consultant_appointment_footer_section',
        'label' => esc_html__('Go To Top Positions','consultant-appointment'),
        'choices' => array(
            'Right' => __('Right','consultant-appointment'),
            'Left' => __('Left','consultant-appointment'),
            'Center' => __('Center','consultant-appointment')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'consultant_appointment_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'consultant-appointment'),
			'description' => __('Edit the Footer Copyright Section.', 'consultant-appointment'),
			'section'     => 'consultant_appointment_footer_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting( 
		'consultant_appointment_footer_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'consultant_appointment_footer_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more footer options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(CONSULTANT_APPOINTMENT_BUY_NOW) ." '>Check Consultant Appointment PRO version.</a>
					</div>
				</div>
			",
			'section' => 'consultant_appointment_footer_section'
		)
	);
}
add_action( 'customize_register', 'Consultant_Appointment_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Consultant_Appointment_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Consultant_Appointment_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Consultant_Appointment_Customize_preview_js() {
	wp_enqueue_script( 'consultant-appointment-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), CONSULTANT_APPOINTMENT_VERSION, true );
}
add_action( 'customize_preview_init', 'Consultant_Appointment_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Consultant_Appointment_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $consultant_appointment_instance = null;

		if ( is_null( $consultant_appointment_instance ) ) {
			$consultant_appointment_instance = new self;
			$consultant_appointment_instance->setup_actions();
		}

		return $consultant_appointment_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $consultant_appointment_manager
	 * @return void
	*/
	public function sections( $consultant_appointment_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$consultant_appointment_manager->register_section_type( 'consultant_appointment_Customize_Section_Pro' );

		// Register sections.
		$consultant_appointment_manager->add_section( new Consultant_Appointment_Customize_Section_Pro( $consultant_appointment_manager,'consultant_appointment_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Consultant Appointment Pro', 'consultant-appointment' ),
			'pro_text' => esc_html__( 'Buy Pro', 'consultant-appointment' ),
			'pro_url'    => esc_url( CONSULTANT_APPOINTMENT_BUY_NOW ),
		) )	);

		// Register sections.
		$consultant_appointment_manager->add_section( new Consultant_Appointment_Customize_Section_Pro( $consultant_appointment_manager,'consultant_appointment_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'consultant-appointment' ),
			'pro_text' => esc_html__( 'Instruction', 'consultant-appointment' ),
			'pro_url'    => esc_url( CONSULTANT_APPOINTMENT_LITE_DOC ),
		) )	);

		$consultant_appointment_manager->add_section( new Consultant_Appointment_Customize_Section_Pro( $consultant_appointment_manager, 'consultant_appointment_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'consultant-appointment' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'consultant-appointment' ),
		    'pro_url'    => esc_url( CONSULTANT_APPOINTMENT_LIVE_DEMO ),
		) ) );

		// Register sections.
		$consultant_appointment_manager->add_section( new Consultant_Appointment_Customize_Section_Pro( $consultant_appointment_manager, 'consultant_appointment_bundle', array(
			'priority'   => 1,
			'title'      => esc_html__( 'Theme Bundle', 'consultant-appointment' ),
			'pro_text'   => esc_html__( 'Get Bundle', 'consultant-appointment' ),
			'pro_url'    => esc_url( CONSULTANT_APPOINTMENT_BUNDLE ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'consultant-appointment-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'consultant-appointment-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Consultant_Appointment_Customize::get_instance();